21.07.2014 16:58    

k005
Merhaba arkadaşlar;

Kod:

(defun c:avg()
(setq SCV  (ssget))
(setq Pozno (getreal "\nPoz No ?        : "))
(command "ddedit" SCV "" pozno"")
(princ))


Strech komutu ile alakalı bir lisp hazırlıyorum. Lispin şu kısmında takıldım;
Ssget ile LWPOLYLINE, TEXT, DIMENSION, CIRCLE objeleri birlikte seçiyorum.. yapmak istediğim ;
Pozno değişkenine girdiğim değeri, ssget ile yapmış olduğum çoklu seçimde bulunan Text i değiştirmek..

Not: yukarıdaki lisp kodu takıldığım kısımla ilgili bir örnektir.


Yardımcı arkadaşa şimdiden teşekkürler.

21.07.2014 19:17    

Travaci
Kod:

(defun c:cht (/) (vl-load-com)
  (vla-Put-Textstring (vlax-ename->vla-object
    (ssname (ssget "+.:s") 0)) "k005") (princ))

21.07.2014 19:35    

k005
Travaci

Hocam çok teşekkür ediyorum, tamamdır.. elinize sağlık. esasında ben tek seçim ile olayı bitirmek istemiştim ama, bu şekilde de oldu..

örnek :

mevcut çizilmiş ve ölçülendirilmiş bir rectangle obje var. bir de circle ve text obje var.. poz yani..

bunu belirli bir yöntemle kısaltıp-uzatıyorum, aynı zamanda da circle ve texti de seçiyorum. circle ve text taşınıyor.. rectangle ve dimesion strech oluyor..

Teşekkürler Travaci.

21.07.2014 21:41    

Travaci
Yine yapabilirsin, ben sadece ddedit i örneklemek için yazmıştım.

08.08.2014 05:39    

k005
Travaci

Merhaba;

hocam bu göndermiş olduğunuz koda while döngüsünü eklemeye çalıştım fakat olmadı.. yazı haricinde yada boşluğa tıklanınca döngüye girsin istedim.. yardımcı olabilirseniz sevinirim

Kod:

(defun c:cht (/) (vl-load-com)
  (while(not(vla-Put-Textstring (vlax-ename->vla-object
     (ssname (ssget "+.:s") 0)) "k005") (princ))))

k005 (08.08.2014 06:07 GMT)

> 1 <
Copyright © 2004-2022 SQL: 1.266 saniye - Sorgu: 53 - Ortalama: 0.02388 saniye